Qore::OutputStream Class Referenceabstract

This class defines an abstract interface for output streams. More...

Inheritance diagram for Qore::OutputStream:
[legend]

## Public Member Functions

abstract nothing | close ()
| Flushes any buffered (unwritten) bytes, closes the output stream and releases all resources. More...
| constructor ()
| Constructor. More...
abstract nothing | write (binary data)
| Writes bytes to the output stream. More...

## Detailed Description

This class defines an abstract interface for output streams.

Classes inheriting this class can be used to write bytes to files, sockets, memory etc.

See also
  StreamWriter for a class that can be used to write various kinds of data to an OutputStream

Note
  stream classes are not designed to be accessed from multiple threads; they have been implemented without locking for fast and efficient use when used from a single thread. For methods that would be unsafe to use in another thread, any use of such methods in threads other than the thread where the constructor was called will cause a `STREAM-THREAD-ERROR` to be thrown.

Since
  Qore 0.8.13

## Member Function Documentation

## close()

abstract nothing Qore::OutputStream::close | ( |  | ) |

pure virtual

Flushes any buffered (unwritten) bytes, closes the output stream and releases all resources.

Any methods called on a closed output stream will throw an exception.

Implemented in Qore::FileOutputStream, Qore::StderrOutputStream, Qore::StdoutOutputStream, Qore::StringOutputStream, Qore::EncodingConversionOutputStream, Qore::BinaryOutputStream, Qore::PipeOutputStream, and Qore::TransformOutputStream.

## constructor()

Qore::OutputStream::constructor | ( |  | ) |

Constructor.

Used by subclasses defined in the Qore programming language.

## write()

abstract nothing Qore::OutputStream::write | ( | binary | data | ) |

pure virtual

Writes bytes to the output stream.

Parameters

  data | the data to write

Example:
  os.write(<0405>);

Implemented in Qore::StringOutputStream, Qore::FileOutputStream, Qore::BinaryOutputStream, Qore::EncodingConversionOutputStream, Qore::StderrOutputStream, Qore::StdoutOutputStream, Qore::PipeOutputStream, and Qore::TransformOutputStream.